Package org.opengis.cite.iso19142.basic.filter

# Class ResourceId

java.lang.Object
org.opengis.cite.iso19142.basic.filter.ResourceId

public class ResourceId extends Object
A resource identifier as defined in ISO 19143 (OGC Filter Encoding 2.0 Encoding Standard). It may have additional information about a specific version of a resource, and can be used to request specific versions in a filter expression.

See Also:
  - Object identifiers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) DateTimeFormatter`
  `dateTimeFormatter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceId(String rid)`
  Constructs a new identifier for the resource version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEnd()`
  `String`
  `getPreviousRid()`
  Get the identifier of the previous version.
  `String`
  `getRid()`
  Get the identifier for this resource version.
  `String`
  `getStart()`
  `String`
  `getVersion()`
  Get the version designation for this resource version.
  `void`
  `setEnd(String endDateTime)`
  Set the ending instant of a temporal interval for selecting resource versions.
  `void`
  `setPreviousRid(String previousRid)`
  Set identifier of the previous version.
  `void`
  `setStart(String startDateTime)`
  Set the starting instant of a temporal interval for selecting resource versions.
  `void`
  `setVersion(String version)`
  Set the version designation for this resource version.
  `Element`
  `toElement()`
  Creates a DOM Element representing this resource identifier.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dateTimeFormatter

    DateTimeFormatter dateTimeFormatter

- ## Constructor Details

  - ### ResourceId

    public ResourceId(String rid)
    Constructs a new identifier for the resource version. All members of the version chain have a unique rid value.
    Parameters:
      `rid` - A String that is a legal XML Schema ID (xsd:ID) value.

- ## Method Details

  - ### getRid

    public String getRid()
    Get the identifier for this resource version.
    Returns:
      A String that is a legal xsd:ID value.

  - ### getPreviousRid

    public String getPreviousRid()
    Get the identifier of the previous version.
    Returns:
      A String that identifies the predecessor, or null if there isn't one.

  - ### setPreviousRid

    public void setPreviousRid(String previousRid)
    Set identifier of the previous version.
    Parameters:
      `previousRid` - A valid xsd:ID value.

  - ### getVersion

    public String getVersion()
    Get the version designation for this resource version.
    Returns:
      A version designation, or null it no value was set.

  - ### setVersion

    public void setVersion(String version)
    Set the version designation for this resource version. It must adhere to one of the following schemes:
    - A positive integer value (1,2,...);
    - A time instant (xsd:dateTime value) indicating when the version was created;
    - One of the following tokens: "FIRST", "LAST", "PREVIOUS", "NEXT", "ALL" (primarily used to select resource versions).
    Parameters:
      `version` - A version designator that adheres to a recognized scheme.

  - ### getStart

    public String getStart()

  - ### setStart

    public void setStart(String startDateTime)
    Set the starting instant of a temporal interval for selecting resource versions. An ending instant must also be specified to define a closed interval.
    Parameters:
      `startDateTime` - A lexical representation of an xsd:dateTime value.

  - ### getEnd

    public String getEnd()

  - ### setEnd

    public void setEnd(String endDateTime)
    Set the ending instant of a temporal interval for selecting resource versions.
    Parameters:
      `endDateTime` - A lexical representation of an xsd:dateTime value.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toElement

    public Element toElement()
    Creates a DOM Element representing this resource identifier.
    Returns:
      An empty fes:ResourceId element with the attributes set accordingly.